Bug 469288 - !MESSAGE Could not create view: org.python.pydev.navigator.view
!MESSAGE Could not create view: org.python.pydev.navigator.view
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: eclipse-pydev (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michal Nowak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-30 23:40 EDT by Jesse Keating
Modified: 2013-03-07 21:04 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-30 23:48:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-10-30 23:40:20 EDT
eclipse-ecj-3.4.1-5.fc10.x86_64
eclipse-platform-3.4.1-5.fc10.x86_64
eclipse-rpm-editor-0.4.0-5.fc10.x86_64
tomcat5-jasper-eclipse-5.5.27-4.9.fc10.noarch
eclipse-cdt-5.0.0-10.fc10.x86_64
eclipse-pydev-1.3.24-1.fc10.noarch
eclipse-changelog-2.6.3-1.fc10.x86_64
eclipse-rcp-3.4.1-5.fc10.x86_64
icu4j-eclipse-3.8.1-4.fc10.x86_64
eclipse-swt-3.4.1-5.fc10.x86_64
eclipse-egit-0.3.1.20081022-3.fc10.noarch
eclipse-jdt-3.4.1-5.fc10.x86_64


I just plain don't see any pydev stuff in my workspace.  Here is the log:

!SESSION 2008-10-30 19:31:43.668 -----------------------------------------------
eclipse.buildId=M20080911-1700
java.version=1.6.0_0
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=linux, ARCH=x86_64, WS=gtk, NL=en_US
Command-line arguments:  -os linux -ws gtk -arch x86_64

!ENTRY org.eclipse.equinox.p2.engine 4 4 2008-10-30 19:32:09.702
!MESSAGE An error occurred while unconfiguring the items to uninstall
!SUBENTRY 1 org.eclipse.equinox.p2.touchpoint.eclipse 4 0 2008-10-30 19:32:09.702
!MESSAGE The artifact file for org.eclipse.equinox.launcher/osgi.bundle/1.0.100.v20080509-1800 was not found.

!ENTRY org.eclipse.ui 4 0 2008-10-30 19:32:18.134
!MESSAGE Problems occurred restoring workbench.
!SUBENTRY 1 org.eclipse.ui 0 0 2008-10-30 19:32:18.134
!MESSAGE 
!SUBENTRY 1 org.eclipse.core.runtime 0 0 2008-10-30 19:32:18.134
!MESSAGE OK
!SUBENTRY 1 org.eclipse.core.runtime 0 0 2008-10-30 19:32:18.134
!MESSAGE OK
!SUBENTRY 1 org.eclipse.core.runtime 0 0 2008-10-30 19:32:18.134
!MESSAGE OK
!SUBENTRY 1 org.eclipse.ui 4 0 2008-10-30 19:32:18.134
!MESSAGE Unable to restore perspective: Workspace - Pydev.
!SUBENTRY 2 org.eclipse.ui 0 0 2008-10-30 19:32:18.134
!MESSAGE Problems occurred restoring perspective.
!SUBENTRY 3 org.eclipse.ui 0 0 2008-10-30 19:32:18.134
!MESSAGE 
!SUBENTRY 2 org.eclipse.ui 0 0 2008-10-30 19:32:18.134
!MESSAGE 
!SUBENTRY 2 org.eclipse.ui 0 0 2008-10-30 19:32:18.134
!MESSAGE 
!SUBENTRY 2 org.eclipse.ui 0 0 2008-10-30 19:32:18.134
!MESSAGE 
!SUBENTRY 2 org.eclipse.ui 0 0 2008-10-30 19:32:18.134
!MESSAGE 
!SUBENTRY 2 org.eclipse.ui 4 4 2008-10-30 19:32:18.134
!MESSAGE Could not create view: org.python.pydev.navigator.view
!STACK 1
org.eclipse.ui.PartInitException: Could not create view: org.python.pydev.navigator.view
	at org.eclipse.ui.internal.ViewFactory.createView(ViewFactory.java:157)
	at org.eclipse.ui.internal.Perspective.createReferences(Perspective.java:1173)
	at org.eclipse.ui.internal.Perspective.restoreState(Perspective.java:1143)
	at org.eclipse.ui.internal.WorkbenchPage$16.runWithException(WorkbenchPage.java:3168)
	at org.eclipse.ui.internal.StartupThreading$StartupRunnable.run(StartupThreading.java:31)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:133)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:3378)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3036)
	at org.eclipse.ui.application.WorkbenchAdvisor.openWindows(WorkbenchAdvisor.java:803)
	at org.eclipse.ui.internal.Workbench$25.runWithException(Workbench.java:1361)
	at org.eclipse.ui.internal.StartupThreading$StartupRunnable.run(StartupThreading.java:31)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:133)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:3378)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3036)
	at org.eclipse.ui.internal.Workbench.runUI(Workbench.java:2293)
	at org.eclipse.ui.internal.Workbench.access$4(Workbench.java:2198)
	at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:493)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:288)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:488)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149)
	at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:113)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:193)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:386)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:616)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:549)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:504)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1236)
	at org.eclipse.equinox.launcher.Main.main(Main.java:1212)
!SUBENTRY 3 org.eclipse.ui 4 0 2008-10-30 19:32:18.137
!MESSAGE Could not create view: org.python.pydev.navigator.view
!SUBENTRY 2 org.eclipse.ui 0 0 2008-10-30 19:32:18.137
!MESSAGE 
!SUBENTRY 2 org.eclipse.ui 0 0 2008-10-30 19:32:18.137
!MESSAGE 
!SUBENTRY 2 org.eclipse.ui 0 0 2008-10-30 19:32:18.137
!MESSAGE 
!SUBENTRY 2 org.eclipse.ui 0 0 2008-10-30 19:32:18.137
!MESSAGE 
!SUBENTRY 2 org.eclipse.ui 4 0 2008-10-30 19:32:18.137
!MESSAGE Could not find view: org.python.pydev.navigator.view
!SUBENTRY 1 org.eclipse.core.runtime 0 0 2008-10-30 19:32:18.137
!MESSAGE OK
Comment 1 Jesse Keating 2008-10-30 23:48:08 EDT
erm.  Blew away my .eclipse dir and now it works.
Comment 2 Alexander Kurtakov 2008-10-31 04:42:55 EDT
(In reply to comment #1)
> erm.  Blew away my .eclipse dir and now it works.

You can try starting eclipse with -clean option first. At the current state this should fix it too.
Comment 3 bugzilla.redhat-lists 2009-07-29 12:03:35 EDT
I've apparently got the same issue.  I've tried the -clean option and received no joy.  Will attempt to (re)move my .eclipse folder.

Note You need to log in before you can comment on or make changes to this bug.